using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace XamFormsReplTest
{
	public partial class MainPage : ContentPage
	{
		public MainPage ()
		{
			InitializeComponent ();
		}

		private async void OnLogInClick(object sender, EventArgs args)
		{
			if (string.IsNullOrWhiteSpace (usernameEntry.Text) ||
			    string.IsNullOrWhiteSpace (passwordEntry.Text)) {
				await DisplayAlert("Błąd logowania", "Pole loginu lub hasła jest puste!", "OK", "Anuluj");
			} else {
				await DisplayAlert("Zalogowałeś się", "Super!", "OK", "Anuluj");
			}
		}
	}
}

